From: "Thomas Deutschmann" <whissi@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: app-shells/bashdb/
Date: Fri, 1 May 2020 13:23:00 +0000 (UTC) [thread overview]
Message-ID: <1588339369.7ad886520ca5ffee9e1393443cb7e8af0eb1720a.whissi@gentoo> (raw)
commit: 7ad886520ca5ffee9e1393443cb7e8af0eb1720a
Author: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Fri May 1 13:04:38 2020 +0000
Commit: Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Fri May 1 13:22:49 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7ad88652
app-shells/bashdb: bump to v5.0.1.1.2
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Thomas Deutschmann <whissi <AT> gentoo.org>
app-shells/bashdb/Manifest | 1 +
app-shells/bashdb/bashdb-5.0.1.1.2.ebuild | 39 +++++++++++++++++++++++++++++++
2 files changed, 40 insertions(+)
diff --git a/app-shells/bashdb/Manifest b/app-shells/bashdb/Manifest
index ac0b8fd12c8..1c129dc6a1f 100644
--- a/app-shells/bashdb/Manifest
+++ b/app-shells/bashdb/Manifest
@@ -1,3 +1,4 @@
DIST bashdb-4.4-1.0.0-missing-test-files.tar.xz 996 BLAKE2B 7ea67884cceda11559cf49355645cad2cfd485537643ad2fa05398518f498163596b6f591756bedd0e7b7e013fed3c6a031e245d15cd0cf316d42ef4f5c8b3e6 SHA512 e19d41569c2001ce026e4c5f80cc21c81651ff9980be059236c45e215162769ceda266eb46aa4199000e377c0bb53dec98fa1b7c5290459c412f21329b3589a5
DIST bashdb-4.4-1.0.1.tar.bz2 701807 BLAKE2B 8d41a39831ce9466f5fcd205cf84e337ca7d876fddaea8b8c013fe4ac93a143c9f5b5e46bcc8edbb50fe4c77e87bd282ff9a244e41df007897d3b37f732bb0a3 SHA512 306fc5a49490fe04828cd6c64b23302e0f48ba8558780c93d45d9c615206e91dac5d8ff3d0660e50bc3204873131d1296492bccc23119d2f58c990bd3603221c
DIST bashdb-5.0-1.1.0.tar.bz2 693459 BLAKE2B f8697c0f4a10b57215b0923cfb49c76536cc75de5273e6ed1709aaa56fcced8c5b3f281f15f01b8bd72363ad7c47acbd6d06a3bb3ba58b9a2daae017c101ae46 SHA512 0da69ea426c57d2f2b3f208356ee893b3fa8b96c68bf321446b5747b6bfb2eac502be6a01e3922fa873684a3953c6a3ded4a30f5682e4030680d698ee5062143
+DIST bashdb-5.0-1.1.2.tar.bz2 574210 BLAKE2B 6de1cac2cb66022f60ab7f0385361762fedee56c26729f22acb070e24a7bcf317700fb5db314c1592b8f9ccf9f7d07bfc80afd5fc88a753d0ad2954325a7f078 SHA512 32ff6d315e8cf9d59485802d5284fde53fa2d9f40ec238428a479f8a1ed1359e9bea2946b192b78534e7ac835491d5d64d73f536c8dfa93583b4c6d55d4d4545
diff --git a/app-shells/bashdb/bashdb-5.0.1.1.2.ebuild b/app-shells/bashdb/bashdb-5.0.1.1.2.ebuild
new file mode 100644
index 00000000000..1716aec06d0
--- /dev/null
+++ b/app-shells/bashdb/bashdb-5.0.1.1.2.ebuild
@@ -0,0 +1,39 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+MY_P="${PN}-${PV:0:3}-${PV:4}"
+DESCRIPTION="bash source code debugging"
+HOMEPAGE="http://bashdb.sourceforge.net/"
+SRC_URI="mirror://sourceforge/bashdb/${MY_P}.tar.bz2
+ test? ( https://dev.gentoo.org/~whissi/dist/bashdb/bashdb-4.4-1.0.0-missing-test-files.tar.xz )"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+DEPEND="!>=app-shells/bash-${PV:0:1}.$((${PV:2:1}+1))"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ if use test ; then
+ einfo "Copying missing files ..."
+ # https://sourceforge.net/p/bashdb/bugs/52/
+ cp -vafn "${WORKDIR}"/missing-files/* "${S}"/test || die
+ fi
+
+ default
+
+ # We don't install this, so don't bother building it. #468044
+ sed -i 's:texi2html:true:' doc/Makefile.in || die
+}
+
+src_configure() {
+ # This path matches the bash sources. If we ever change bash,
+ # we'll probably have to change this to match. #591994
+ econf --with-dbg-main='$(PKGDATADIR)/bashdb-main.inc'
+}
next reply other threads:[~2020-05-01 13:23 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-05-01 13:23 Thomas Deutschmann [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-09 10:21 [gentoo-commits] repo/gentoo:master commit in: app-shells/bashdb/ Sam James
2025-01-09 0:28 Sam James
2025-01-09 0:28 Sam James
2025-01-09 0:28 Sam James
2025-01-09 0:08 Sam James
2025-01-09 0:08 Sam James
2024-07-01 18:55 Mike Gilbert
2021-06-16 18:11 Lars Wendler
2020-05-13 13:19 Agostino Sarubbo
2020-05-08 17:13 Agostino Sarubbo
2020-05-06 7:01 Sergei Trofimovich
2020-05-04 15:28 Agostino Sarubbo
2020-05-03 13:07 Thomas Deutschmann
2019-10-16 11:19 Lars Wendler
2019-10-16 11:19 Lars Wendler
2019-10-03 8:14 Agostino Sarubbo
2019-10-03 8:12 Agostino Sarubbo
2019-10-02 19:08 Agostino Sarubbo
2019-10-02 18:53 Agostino Sarubbo
2018-12-22 19:22 Thomas Deutschmann
2018-11-14 21:58 Thomas Deutschmann
2017-09-17 2:18 Thomas Deutschmann
2016-12-07 8:18 Mike Frysinger
2016-12-07 8:18 Mike Frysinger
2016-12-06 22:24 Patrice Clement
2016-12-06 22:24 Patrice Clement
2016-04-27 9:03 Patrice Clement
2016-04-27 9:03 Patrice Clement
2015-10-16 7:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
2015-08-30 20:47 Patrice Clement
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1588339369.7ad886520ca5ffee9e1393443cb7e8af0eb1720a.whissi@gentoo \
--to=whissi@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox